# Class ProgressIndicatorParameter

java.lang.Object
uk.ac.starlink.task.Parameter<String>
uk.ac.starlink.task.AbstractChoiceParameter<String,String>
uk.ac.starlink.task.ChoiceParameter<String>
uk.ac.starlink.ttools.join.ProgressIndicatorParameter

public class ProgressIndicatorParameter extends uk.ac.starlink.task.ChoiceParameter<String>
Parameter for getting a ProgressIndicator.

Since:
  20 Nov 2007
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ProgressIndicatorParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.join.ProgressIndicator`
`progressIndicatorValue(uk.ac.starlink.task.Environment env)`
Returns the progress indicator indicated by the value of this parameter.
`String`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`

### Methods inherited from class uk.ac.starlink.task.ChoiceParameter

`getUsage, objectToString, setDefaultOption, setUsage`

### Methods inherited from class uk.ac.starlink.task.AbstractChoiceParameter

`addOption, addOption, choiceToString, clearOptions, getName, getOption, getOptionNames, getOptions, getOptionValueList, stringifyOption, stringToChoice`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProgressIndicatorParameter

public ProgressIndicatorParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### progressIndicatorValue

public uk.ac.starlink.table.join.ProgressIndicator progressIndicatorValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the progress indicator indicated by the value of this parameter.

Parameters:
  `env` - execution environment
Returns:
  progress indicator, not null
Throws:
  `uk.ac.starlink.task.TaskException`

### stringToObject

public String stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException

Overrides:
  `stringToObject` in class `uk.ac.starlink.task.ChoiceParameter<String>`
Throws:
  `uk.ac.starlink.task.TaskException`